QR code scanner
Closed, ResolvedPublic

Description

Application that enables the users to scan QR codes

Knowledge Requirements: Willing to learn Qt/QML, CMake.

System Requirements: You can develop this application on normal Linux system, and test it in native Linux system. If you want to test it on Plasma Mobile system, you can use actual Mobile device.

Design Resources:

Development Resources:

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone

A related project might be Prison, which is a KDE Framework for barcode generation.

dkardarakos updated the task description. (Show Details)Jun 26 2018, 4:36 PM

QZXing (https://github.com/ftylitak/qzxing) could be a helpful library as well.

nicolasfella added a subscriber: nicolasfella.EditedNov 29 2018, 2:05 PM

An idea that came around was to add barcode scanning to Purpose so that applications that use barcode scanning don't need to implement it themselves. This way one could have multiple "sources" of barcodes such as the local camera or the camera of a device connected via KDE Connect.

Using this approach the application could work like this:

  1. Barcode scan app asks Purpose to scan a barcode
  2. Purpose offers alternatives (local camera, KDE Connect, etc.)
  3. In case of local camera a camera window opens
  4. When a barcode is found camera window closes and returns barcode to the app
  5. App offers to do something with the scanned code

I tried using the QZXing live demo app on the latest edge image (2018-11-12) and currently Qml Video Filters are broken: https://git.merproject.org/mer-core/nemo-qtmultimedia-plugins/merge_requests/2

Also QZXing does not seem to work out of the box on desktop either (no codes detected).

KItinary actually moved to https://github.com/nu-book/zxing-cpp which added install capabilities and made an initial release subsequently. Discussion is also underway to turn this into the "official" zxing-cpp fork, as there are countless ones (including QZXing). See https://github.com/nu-book/zxing-cpp/issues/44 This should allow to get this library packaged properly by distros.

mb would be useful for this app
https://github.com/nu-book/zxing-cpp - C++ zxing rewrite with modern c++
https://github.com/swex/QZXingNu - mine QZXing-like wrapper around zxing-cpp

jbbgameich closed this task as Resolved.Jun 24 2019, 6:22 PM